Package org.eclipse.ui.views.navigator

# Class NavigatorFrameSource

java.lang.Object
org.eclipse.ui.views.framelist.TreeViewerFrameSource
org.eclipse.ui.views.navigator.NavigatorFrameSource

All Implemented Interfaces:
  `IFrameSource`

@Deprecated(forRemoval=true) public class NavigatorFrameSource extends TreeViewerFrameSource
Deprecated, for removal: This API element is subject to removal in a future version.
as of 3.5, use the Common Navigator Framework classes instead
Frame source for the resource navigator.

## Field Summary

### Fields inherited from interface org.eclipse.ui.views.framelist.IFrameSource

`CURRENT_FRAME, FULL_CONTEXT, PARENT_FRAME, SELECTION_FRAME`

## Constructor Summary

Constructors
Constructor
Description
`NavigatorFrameSource(ResourceNavigator navigator)`
Deprecated, for removal: This API element is subject to removal in a future version.
Constructs a new frame source for the specified resource navigator.

## Method Summary

Modifier and Type
Method
Description
`protected TreeFrame`
`createFrame(Object input)`
Deprecated, for removal: This API element is subject to removal in a future version.
Returns a new frame.
`protected void`
`frameChanged(TreeFrame frame)`
Deprecated, for removal: This API element is subject to removal in a future version.
Also updates the navigator's title.

### Methods inherited from class org.eclipse.ui.views.framelist.TreeViewerFrameSource

`connectTo, getCurrentFrame, getFrame, getParentFrame, getSelectionFrame, getViewer, handlePropertyChange`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NavigatorFrameSource

public NavigatorFrameSource(ResourceNavigator navigator)
Deprecated, for removal: This API element is subject to removal in a future version.
Constructs a new frame source for the specified resource navigator.

Parameters:
  `navigator` - the resource navigator

## Method Details

### createFrame

protected TreeFrame createFrame(Object input)
Deprecated, for removal: This API element is subject to removal in a future version.
Returns a new frame. This implementation extends the super implementation by setting the frame's tool tip text to show the full path for the input element.

Overrides:
  `createFrame` in class `TreeViewerFrameSource`
Parameters:
  `input` - the input element
Returns:
  the tree frame

### frameChanged

protected void frameChanged(TreeFrame frame)
Deprecated, for removal: This API element is subject to removal in a future version.
Also updates the navigator's title.

Overrides:
  `frameChanged` in class `TreeViewerFrameSource`
Parameters:
  `frame` - the new value for the current frame